:: UUCPX.BAT - revised 11/02/98
::
:: There is *NO* separate configuration file for this program.
:: The configuration options *MUST* be entered as part of the command line in
::      your batch file. See example the batch file shown at the bottom.
:: This program can be run many times with a different configuration each time.
:: This program can run from any drive on any directory.
::      However, starting path and ending path must be on the same drive.
:: There *MUST* be at least one blank space between each item in the command
::      line configuration.
::
:: SYNTAX:  uucpx1.exe  input-path  output-path  account
::          1)          2)          3)           4)
::
:: Note the spaces between each entry in the above and the example batch file.
::      They are critical to the program working correctly.
::
:: 1) The  uucpx1.exe  is the name of this program that you are running.
::         It doesn't matter what drive this program is in to run.  But it
::         *MUST* either be in the DOS path, or the batch file must change
::         to the directory it is in to be able to run it.
::         uucpx1.exe
::
:: 2) The  input-path  is the location that UUCP packets are initially stored
::         in.  (Your system will probably be using a different name.)
::         (You should *NOT* need to create this directory.)
::         (Trailing backslash is required.)
::         c:\wildcat\gateway\ktbnet\
::
:: 3) The  output-path  is the location that matching packets will be moved to.
::         (You will need to create this directory.)  (It is used by wcFG.)
::         (It must be consistent with Line 1, of the wcFG.CFG.)
::         (Trailing backslash is required.)
::         c:\wildcat\gateway\filegate\
::
:: Both the input-path and the output-path *MUST* be on the same drive.
::
:: 4) The  account  is what UUCPX1.EXE looks for when it is reading the *.X
::         files.  (You do *NOT* need to set this up as a user on this system.)
::         (You should use the translation table to direct messages that)
::         (WCFG.WCX can't handle back to you when they do get imported.)
::         (I suggest  bbs@whatever.com  or  wcfg@yourname.com  or  ....)
::         bbs@eqcity.ktb.net
::
:: For convenience, this program creates an extra file, *.H, that contains
::      the *.X contents and the headers (only!) from the *.D, all in
::      DOS-LINE-BREAKS format.  Perfect for extracting with less capiable
::      languages.  Even strings can read this!
::
:: If no files are found to process, then UUCPX1.EXE beeps once.
::      If you don't like listening to the beep, then you might try this.
::
if exist c:\wildcat\gateway\ktbnet\*.x goto YESMAIL
goto NOMAIL
::
:YESMAIL
c:
cd \wcaddons\wcfg
uucpx1 c:\wildcat\gateway\ktbnet\ c:\wildcat\gateway\filegate\ bbs@eqcity.ktb.net
:NOMAIL
::
